Problemas de dependências no Linux Satux [RESOLVIDO]

1. Problemas de dependências no Linux Satux [RESOLVIDO]

GUILHERME ALIANO GAMBARO
gambaroguilherme

(usa Debian)

Enviado em 01/10/2020 - 11:59h

Olá a todos. Recentemente adquiri um Lenovo Ideapad S145 que veio com Linux Satux de fábrica. Sua configuração é Debian GNU/Linux bullseye/sid. Não consigo fazer downloads ou atualizar o sistema. Ao aplicar o comando ''sudo apt-get install -f '' a atualização é interrompida com a mensagem:
Erros foram encontrados durante o processamento de:
/tmp/apt-dpkg-install-dbOraQ/0-texlive-base_2020.20200804-3_all.deb
/tmp/apt-dpkg-install-dbOraQ/4-texlive-plain-generic_2020.20200804-3_all.deb
/tmp/apt-dpkg-install-dbOraQ/8-texlive-latex-extra_2020.20200804-3_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ao instalar programas utilizando o instalador de pacotes GDebi sou avisado de depedências quebradas.
Já testei os comandos "sudo apt-get clean && sudo apt-get update'' e "dpkg –configure -a" e não obtive êxito algum. O que devo fazer? Agradeço desde já a atenção.


  


2. MELHOR RESPOSTA

josinaldo
-josinaldo-

(usa KUbuntu)

Enviado em 03/10/2020 - 12:41h


gambaroguilherme escreveu:

Honestamente eu achei bem estranho ser o Satux, mas é isso mesmo, inclusive eu mandei para a garantia e eles reinstalaram o Satux, nao fizeram nenhuma alteração ou resolveram o problema. Porém, o nome do sistema que eu encontro é Debian GNU/Linux bullseye/sid. Estou considerando trocar, porém, por nao conseguir fazer donwloads ou instalações, temo nao conseguir instalar outro SO aqui


Sacanagem!

Ja tentou instalar o woeusb ou mintstick, são dois programinha que criar pen-drive bootavel,

veja se isso funciona:

wget http://packages.linuxmint.com/pool/main/m/mintstick/mintstick_1.4.4_all.deb
sudo dpkg -i mintstick_1.4.4_all.deb
sudo apt-get -f install

baixe uma distro atual, e espete um pendrive na porta usb para gravar a iso.

link do kubuntu 20.04:
https://cdimage.ubuntu.com/kubuntu/releases/20.04.1/release/kubuntu-20.04.1-desktop-amd64.iso


3. Re: Problemas de dependências no Linux Satux [RESOLVIDO]

leandro peçanha scardua
leandropscardua

(usa Ubuntu)

Enviado em 01/10/2020 - 14:31h

Tente
sudo apt-get --fix-broken install


4. Problemas de dependências quebradas e de atualização

GUILHERME ALIANO GAMBARO
gambaroguilherme

(usa Debian)

Enviado em 01/10/2020 - 22:37h

O problema se manteve
Vou colocar todo o processo, caso facilite
sudo apt-get --fix-broken install
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
ca-certificates-mono gir1.2-appindicator3-0.1 gir1.2-zeitgeist-2.0
hamster-applet icedtea-netx libboost-date-time1.62.0
libboost-date-time1.67.0 libboost-filesystem1.62.0 libboost-filesystem1.67.0
libboost-locale1.67.0 libboost-system1.62.0 libboost-system1.67.0
libboost-thread1.62.0 libboost-thread1.67.0 libgit2-24 libgtkmm-2.4-1v5
libhogweed5:i386 libhttp-parser2.1 libilmbase12 libmagickcore-6.q16-2
libmozjs-60-0 libmpdec2 libnettle7:i386 libopenexr22 libopenobex2
libpipewire-0.2-1 libpoppler64 libpoppler82 libpotrace0 libprotobuf10
libpython3.5-minimal libpython3.5-stdlib libpython3.7 libpython3.7-minimal
libpython3.7-stdlib librhino-java libsodium18 libsynctex1 libtagsoup-java
libtexlua52 libusbmuxd4 libwacom-bin perl-modules-5.24 prosper python3.5
python3.5-minimal python3.7 python3.7-minimal qtchooser
texlive-generic-extra
Utilize 'sudo apt autoremove' para os remover.
The following additional packages will be installed:
texlive-base texlive-latex-extra texlive-plain-generic
Pacotes sugeridos:
perl-tk xzdec python3-pygments icc-profiles libspreadsheet-parseexcel-perl
texlive-latex-extra-doc
Os NOVOS pacotes a seguir serão instalados:
texlive-latex-extra texlive-plain-generic
Os pacotes a seguir serão atualizados:
texlive-base
1 pacotes atualizados, 2 pacotes novos instalados, 0 a serem removidos e 753 não atualizados.
28 pacotes não totalmente instalados ou removidos.
É preciso baixar 0 B/61,0 MB de arquivos.
Depois desta operação, 153 MB adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
Pré-configurando pacotes ...
(Lendo banco de dados ... 275043 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../texlive-base_2020.20200804-3_all.deb ...
A descompactar texlive-base (2020.20200804-3) sobre (2016.20161130-1) ...
dpkg: erro ao processar o arquivo /var/cache/apt/archives/texlive-base_2020.20200804-3_all.deb (--unpack):
a tentar sobre-escrever '/usr/share/doc/texlive-doc/generic/iftex/iftex.pdf', que também está no pacote texlive-generic-extra 2016.20161130-1
dpkg-deb: erro: o subprocesso colar foi morto pelo sinal (Pipe quebrado)
dpkg: a considerar a desconfiguração de texlive-base, que seria estragada por instalação de texlive-plain-generic ...
dpkg: sim, irá desconfigurar texlive-base (estragado por texlive-plain-generic)
A preparar para desempacotar .../texlive-plain-generic_2020.20200804-3_all.deb ...
A desconfigurar texlive-base (2016.20161130-1) ...
A descompactar texlive-plain-generic (2020.20200804-3) ...
dpkg: erro ao processar o arquivo /var/cache/apt/archives/texlive-plain-generic_2020.20200804-3_all.deb (--unpack):
a tentar sobre-escrever '/usr/share/doc/texlive-doc/bibtex/abstyles/README.gz', que também está no pacote texlive-generic-extra 2016.20161130-1
dpkg-deb: erro: o subprocesso colar foi morto pelo sinal (Pipe quebrado)
dpkg: a considerar a desconfiguração de texlive-base, que seria estragada por instalação de texlive-latex-extra ...
dpkg: sim, irá desconfigurar texlive-base (estragado por texlive-latex-extra)
A preparar para desempacotar .../texlive-latex-extra_2020.20200804-3_all.deb ...
A desconfigurar texlive-base (2016.20161130-1) ...
A descompactar texlive-latex-extra (2020.20200804-3) ...
dpkg: erro ao processar o arquivo /var/cache/apt/archives/texlive-latex-extra_2020.20200804-3_all.deb (--unpack):
a tentar sobre-escrever '/usr/share/texlive/texmf-dist/tex/latex/classpack/classpack.sty', que também está no pacote texlive-htmlxml 2016.20161130-1
dpkg-deb: erro: o subprocesso colar foi morto pelo sinal (Pipe quebrado)
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/texlive-base_2020.20200804-3_all.deb
/var/cache/apt/archives/texlive-plain-generic_2020.20200804-3_all.deb
/var/cache/apt/archives/texlive-latex-extra_2020.20200804-3_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)



5. Re: Problemas de dependências no Linux Satux [RESOLVIDO]

leandro peçanha scardua
leandropscardua

(usa Ubuntu)

Enviado em 01/10/2020 - 22:54h

Vc mencionou q rodou apt-get clean, então a pasta /var/cache/apt/archives/ deve estar vazia.
ls -la /var/cache/apt/archives/



6. Re: Problemas de dependências no Linux Satux [RESOLVIDO]

GUILHERME ALIANO GAMBARO
gambaroguilherme

(usa Debian)

Enviado em 01/10/2020 - 23:40h

Rodei ls -la /var/cache/apt/archives/ e apareceu estes dados:
total 116
drwxr-xr-x 3 root root 106496 out 1 23:18 .
drwxr-xr-x 3 root root 4096 out 1 23:21 ..
-rw-r----- 1 root root 0 set 22 15:23 lock
drwx------ 2 _apt root 4096 out 1 14:16 partial




7. Re: Problemas de dependências no Linux Satux [RESOLVIDO]

Paulo Jr
Pebis

(usa Debian)

Enviado em 01/10/2020 - 23:45h


Esse Satux não foi descontinuado?


8. Re: Problemas de dependências no Linux Satux [RESOLVIDO]

leandro peçanha scardua
leandropscardua

(usa Ubuntu)

Enviado em 01/10/2020 - 23:48h

Rode um de cada vez
sudo rm /var/lib/apt/lists/lock
sudo rm /var/cache/apt/archives/lock
sudo rm /var/lib/dpkg/lock
sudo dpkg --configure -a


9. Re: Problemas de dependências no Linux Satux [RESOLVIDO]

GUILHERME ALIANO GAMBARO
gambaroguilherme

(usa Debian)

Enviado em 02/10/2020 - 14:33h

Ainda nao funcionou. Eu ouvi dizer que sim, porém é este que está no meu not. Vou colocar tudo o que eu fiz, porém ainda nao consigo realizar a atualizações aparece "you have unmet dependencies''
sudo rm /var/lib/apt/lists/lock
[email protected]:~$ sudo rm /var/cache/apt/archives/lock
[email protected]:~$ sudo rm /var/lib/dpkg/lock
[email protected]:~$ sudo dpkg --configure -a
[email protected]:~$ ls -la /var/cache/apt/archives/
total 116
drwxr-xr-x 3 root root 106496 out 2 14:18 .
drwxr-xr-x 3 root root 4096 out 2 14:18 ..
drwx------ 2 _apt root 4096 out 1 14:16 partial
[email protected]:~$ ^C
[email protected]:~$ sudo apt-get --fix-broken install
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
ca-certificates-mono dblatex-doc fonts-gfs-baskerville fonts-gfs-porson
gir1.2-appindicator3-0.1 gir1.2-zeitgeist-2.0 hamster-applet icedtea-netx
libapache-pom-java libboost-date-time1.62.0 libboost-date-time1.67.0
libboost-filesystem1.62.0 libboost-filesystem1.67.0 libboost-locale1.67.0
libboost-system1.62.0 libboost-system1.67.0 libboost-thread1.62.0
libboost-thread1.67.0 libcommons-logging-java libcommons-parent-java
libfile-homedir-perl libfile-which-perl libfontbox-java libgit2-24
libgtkmm-2.4-1v5 libhogweed5:i386 libhttp-parser2.1 libilmbase12
libmagickcore-6.q16-2 libmime-charset-perl libmozjs-60-0 libmpdec2
libnettle7:i386 libopenexr22 libopenobex2 libpdfbox-java libpipewire-0.2-1
libpoppler64 libpoppler82 libpotrace0 libprotobuf10 libpython3.5-minimal
libpython3.5-stdlib libpython3.7 libpython3.7-minimal libpython3.7-stdlib
librhino-java libsgmls-perl libsodium18 libsombok3 libsynctex1
libtagsoup-java libtexlua52 libunicode-linebreak-perl libusbmuxd4
libwacom-bin libyaml-tiny-perl lmodern perl-modules-5.24 preview-latex-style
ps2eps python3.5 python3.5-minimal python3.7 python3.7-minimal qtchooser
sgmlspl tcl tex-gyre tk
Utilize 'sudo apt autoremove' para os remover.
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 776 não atualizados.
[email protected]:~$ sudo apt autoremove
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Os pacotes a seguir serão REMOVIDOS:
ca-certificates-mono dblatex-doc fonts-gfs-baskerville fonts-gfs-porson
gir1.2-appindicator3-0.1 gir1.2-zeitgeist-2.0 hamster-applet icedtea-netx
libapache-pom-java libboost-date-time1.62.0 libboost-date-time1.67.0
libboost-filesystem1.62.0 libboost-filesystem1.67.0 libboost-locale1.67.0
libboost-system1.62.0 libboost-system1.67.0 libboost-thread1.62.0
libboost-thread1.67.0 libcommons-logging-java libcommons-parent-java
libfile-homedir-perl libfile-which-perl libfontbox-java libgit2-24
libgtkmm-2.4-1v5 libhogweed5:i386 libhttp-parser2.1 libilmbase12
libmagickcore-6.q16-2 libmime-charset-perl libmozjs-60-0 libmpdec2
libnettle7:i386 libopenexr22 libopenobex2 libpdfbox-java libpipewire-0.2-1
libpoppler64 libpoppler82 libpotrace0 libprotobuf10 libpython3.5-minimal
libpython3.5-stdlib libpython3.7 libpython3.7-minimal libpython3.7-stdlib
librhino-java libsgmls-perl libsodium18 libsombok3 libsynctex1
libtagsoup-java libtexlua52 libunicode-linebreak-perl libusbmuxd4
libwacom-bin libyaml-tiny-perl lmodern perl-modules-5.24 preview-latex-style
ps2eps python3.5 python3.5-minimal python3.7 python3.7-minimal qtchooser
sgmlspl tcl tex-gyre tk
0 pacotes atualizados, 0 pacotes novos instalados, 70 a serem removidos e 771 não atualizados.
Depois desta operação, 191 MB de espaço em disco serão liberados.
Você quer continuar? [S/n] s
(Lendo banco de dados ... 241389 ficheiros e directórios actualmente instalados.
)
A remover ca-certificates-mono (4.6.2.7+dfsg-1) ...
A remover dblatex-doc (0.3.11py3-1) ...
A remover fonts-gfs-baskerville (1.1-6) ...
dpkg: aviso: ao remover fonts-gfs-baskerville, o directório '/usr/share/fonts/tr
uetype/baskerville' não estava vazio, por isso não foi removido
A remover fonts-gfs-porson (1.1-7) ...
dpkg: aviso: ao remover fonts-gfs-porson, o directório '/usr/share/fonts/opentyp
e/porson' não estava vazio, por isso não foi removido
A remover gir1.2-appindicator3-0.1:amd64 (0.4.92-7) ...
A remover gir1.2-zeitgeist-2.0:amd64 (1.0.2-3) ...
A remover hamster-applet (3.0.2-3) ...
A remover icedtea-netx (1.8.4-1) ...
update-alternatives: a remover alternativa seleccionada manualmente - a passar j
avaws para modo automático
update-alternatives: a remover alternativa seleccionada manualmente - a passar i
tweb-settings para modo automático
update-alternatives: a remover alternativa seleccionada manualmente - a passar p
olicyeditor para modo automático
A remover libcommons-logging-java (1.2-2) ...
A remover libcommons-parent-java (43-1) ...
A remover libapache-pom-java (18-1) ...
A remover libboost-date-time1.62.0:amd64 (1.62.0+dfsg-4) ...
A remover libboost-date-time1.67.0:amd64 (1.67.0-17) ...
A remover libboost-filesystem1.62.0:amd64 (1.62.0+dfsg-4) ...
A remover libboost-filesystem1.67.0:amd64 (1.67.0-17) ...
A remover libboost-locale1.67.0:amd64 (1.67.0-17) ...
A remover libboost-thread1.62.0:amd64 (1.62.0+dfsg-4) ...
A remover libboost-system1.62.0:amd64 (1.62.0+dfsg-4) ...
A remover libboost-thread1.67.0:amd64 (1.67.0-17) ...
A remover libboost-system1.67.0:amd64 (1.67.0-17) ...
A remover libfile-homedir-perl (1.004-1) ...
A remover libfile-which-perl (1.23-1) ...
A remover libpdfbox-java (1:1.8.16-2) ...
A remover libfontbox-java (1:1.8.16-2) ...
A remover libgit2-24:amd64 (0.24.2-2) ...
A remover libgtkmm-2.4-1v5:amd64 (1:2.24.5-4) ...
A remover libhogweed5:i386 (3.5.1+really3.5.1-2) ...
A remover libhttp-parser2.1:amd64 (2.1-2) ...
A remover libopenexr22:amd64 (2.2.0-11) ...
A remover libilmbase12:amd64 (2.2.0-11) ...
A remover libmagickcore-6.q16-2:amd64 (8:6.9.6.6+dfsg-1) ...
A remover libunicode-linebreak-perl (0.0.20190101-1+b2) ...
A remover libmime-charset-perl (1.012.2-1) ...
A remover libmozjs-60-0:amd64 (60.8.0-2) ...
A remover python3.7 (3.7.7-1+b1) ...
A remover libpython3.7:amd64 (3.7.7-1+b1) ...
A remover libpython3.7-stdlib:amd64 (3.7.7-1+b1) ...
A remover python3.5 (3.5.2-9) ...
A remover libpython3.5-stdlib:amd64 (3.5.2-9) ...
A remover libmpdec2:amd64 (2.4.2-3) ...
A remover libnettle7:i386 (3.5.1+really3.5.1-2) ...
A remover libopenobex2 (1.7.2-1+b1) ...
A remover libpipewire-0.2-1:amd64 (0.2.7-1) ...
A remover libpoppler64:amd64 (0.48.0-2) ...
A remover libpoppler82:amd64 (0.71.0-6) ...
A remover libpotrace0:amd64 (1.16-2) ...
A remover libprotobuf10:amd64 (3.0.0-9) ...
A remover python3.5-minimal (3.5.2-9) ...
Unlinking and removing bytecode for runtime python3.5
A remover libpython3.5-minimal:amd64 (3.5.2-9) ...
A remover python3.7-minimal (3.7.7-1+b1) ...
Unlinking and removing bytecode for runtime python3.7
A remover libpython3.7-minimal:amd64 (3.7.7-1+b1) ...
A remover librhino-java (1.7.7.1-1) ...
A remover sgmlspl (1.03ii-36) ...
A remover libsgmls-perl (1.03ii-36) ...
A remover libsodium18:amd64 (1.0.11-1) ...
A remover libsombok3:amd64 (2.4.0-2+b1) ...
A remover libsynctex1:amd64 (2016.20160513.41080-8) ...
A remover libtagsoup-java (1.2.1+-1) ...
A remover libtexlua52:amd64 (2016.20160513.41080-8) ...
A remover libusbmuxd4:amd64 (1.0.10-3) ...
A remover libwacom-bin (1.1-2) ...
A remover libyaml-tiny-perl (1.73-1) ...
A remover lmodern (2.004.5-6) ...
A remover perl-modules-5.24 (5.24.1~rc4-1) ...
A remover preview-latex-style (12.2-1) ...
A remover ps2eps (1.68+binaryfree-2+b1) ...
A remover qtchooser (66-2) ...
A remover tk (8.6.9+1+b1) ...
A remover tcl (8.6.9+1+b1) ...
A remover tex-gyre (20180621-3) ...
A processar 'triggers' para desktop-file-utils (0.26-1) ...
A processar 'triggers' para mime-support (3.64) ...
A processar 'triggers' para hicolor-icon-theme (0.17-2) ...
A processar 'triggers' para gnome-menus (3.36.0-1) ...
A processar 'triggers' para libc-bin (2.31-3) ...
A processar 'triggers' para man-db (2.9.3-2) ...
A processar 'triggers' para tex-common (6.15) ...
A processar 'triggers' para ca-certificates (20190110) ...
Updating certificates in /etc/ssl/certs...
0 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d...

done.
Updating Mono key store
/etc/ca-certificates/update.d/mono-keystore: 10: /usr/bin/cert-sync: not found
Done
done.
A processar 'triggers' para fontconfig (2.13.1-4.2) ...
[email protected]:~$ sudo apt-get install -f
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 771 não atualizados.
[email protected]:~$ ls -la /var/cache/apt/archives/
total 116
drwxr-xr-x 3 root root 106496 out 2 14:20 .
drwxr-xr-x 3 root root 4096 out 2 14:25 ..
-rw-r----- 1 root root 0 out 2 14:20 lock
drwx------ 2 _apt root 4096 out 1 14:16 partial
[email protected]:~$ sudo rm /var/lib/apt/lists/lock
rm: não foi possível remover '/var/lib/apt/lists/lock': Arquivo ou diretório inexistente
[email protected]:~$ sudo rm /var/cache/apt/archives/lock
[email protected]:~$ sudo rm /var/lib/dpkg/lock
[email protected]:~$ sudo dpkg --configure -a
[email protected]:~$ sudo apt-get install -f
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 771 não atualizados.
[email protected]:~$




10. Re: Problemas de dependências no Linux Satux [RESOLVIDO]

leandro peçanha scardua
leandropscardua

(usa Ubuntu)

Enviado em 02/10/2020 - 15:02h

gambaroguilherme escreveu:

Ainda nao funcionou. Eu ouvi dizer que sim, porém é este que está no meu not. Vou colocar tudo o que eu fiz, porém ainda nao consigo realizar a atualizações aparece "you have unmet dependencies''
sudo rm /var/lib/apt/lists/lock
[email protected]:~$ sudo rm /var/cache/apt/archives/lock
[email protected]:~$ sudo rm /var/lib/dpkg/lock
[email protected]:~$ sudo dpkg --configure -a
[email protected]:~$ ls -la /var/cache/apt/archives/
total 116
drwxr-xr-x 3 root root 106496 out 2 14:18 .
drwxr-xr-x 3 root root 4096 out 2 14:18 ..
drwx------ 2 _apt root 4096 out 1 14:16 partial
[email protected]:~$ ^C
[email protected]:~$ sudo apt-get --fix-broken install
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
ca-certificates-mono dblatex-doc fonts-gfs-baskerville fonts-gfs-porson
gir1.2-appindicator3-0.1 gir1.2-zeitgeist-2.0 hamster-applet icedtea-netx
libapache-pom-java libboost-date-time1.62.0 libboost-date-time1.67.0
libboost-filesystem1.62.0 libboost-filesystem1.67.0 libboost-locale1.67.0
libboost-system1.62.0 libboost-system1.67.0 libboost-thread1.62.0
libboost-thread1.67.0 libcommons-logging-java libcommons-parent-java
libfile-homedir-perl libfile-which-perl libfontbox-java libgit2-24
libgtkmm-2.4-1v5 libhogweed5:i386 libhttp-parser2.1 libilmbase12
libmagickcore-6.q16-2 libmime-charset-perl libmozjs-60-0 libmpdec2
libnettle7:i386 libopenexr22 libopenobex2 libpdfbox-java libpipewire-0.2-1
libpoppler64 libpoppler82 libpotrace0 libprotobuf10 libpython3.5-minimal
libpython3.5-stdlib libpython3.7 libpython3.7-minimal libpython3.7-stdlib
librhino-java libsgmls-perl libsodium18 libsombok3 libsynctex1
libtagsoup-java libtexlua52 libunicode-linebreak-perl libusbmuxd4
libwacom-bin libyaml-tiny-perl lmodern perl-modules-5.24 preview-latex-style
ps2eps python3.5 python3.5-minimal python3.7 python3.7-minimal qtchooser
sgmlspl tcl tex-gyre tk
Utilize 'sudo apt autoremove' para os remover.
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 776 não atualizados.
[email protected]:~$ sudo apt autoremove
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Os pacotes a seguir serão REMOVIDOS:
ca-certificates-mono dblatex-doc fonts-gfs-baskerville fonts-gfs-porson
gir1.2-appindicator3-0.1 gir1.2-zeitgeist-2.0 hamster-applet icedtea-netx
libapache-pom-java libboost-date-time1.62.0 libboost-date-time1.67.0
libboost-filesystem1.62.0 libboost-filesystem1.67.0 libboost-locale1.67.0
libboost-system1.62.0 libboost-system1.67.0 libboost-thread1.62.0
libboost-thread1.67.0 libcommons-logging-java libcommons-parent-java
libfile-homedir-perl libfile-which-perl libfontbox-java libgit2-24
libgtkmm-2.4-1v5 libhogweed5:i386 libhttp-parser2.1 libilmbase12
libmagickcore-6.q16-2 libmime-charset-perl libmozjs-60-0 libmpdec2
libnettle7:i386 libopenexr22 libopenobex2 libpdfbox-java libpipewire-0.2-1
libpoppler64 libpoppler82 libpotrace0 libprotobuf10 libpython3.5-minimal
libpython3.5-stdlib libpython3.7 libpython3.7-minimal libpython3.7-stdlib
librhino-java libsgmls-perl libsodium18 libsombok3 libsynctex1
libtagsoup-java libtexlua52 libunicode-linebreak-perl libusbmuxd4
libwacom-bin libyaml-tiny-perl lmodern perl-modules-5.24 preview-latex-style
ps2eps python3.5 python3.5-minimal python3.7 python3.7-minimal qtchooser
sgmlspl tcl tex-gyre tk
0 pacotes atualizados, 0 pacotes novos instalados, 70 a serem removidos e 771 não atualizados.
Depois desta operação, 191 MB de espaço em disco serão liberados.
Você quer continuar? [S/n] s
(Lendo banco de dados ... 241389 ficheiros e directórios actualmente instalados.
)
A remover ca-certificates-mono (4.6.2.7+dfsg-1) ...
A remover dblatex-doc (0.3.11py3-1) ...
A remover fonts-gfs-baskerville (1.1-6) ...
dpkg: aviso: ao remover fonts-gfs-baskerville, o directório '/usr/share/fonts/tr
uetype/baskerville' não estava vazio, por isso não foi removido
A remover fonts-gfs-porson (1.1-7) ...
dpkg: aviso: ao remover fonts-gfs-porson, o directório '/usr/share/fonts/opentyp
e/porson' não estava vazio, por isso não foi removido
A remover gir1.2-appindicator3-0.1:amd64 (0.4.92-7) ...
A remover gir1.2-zeitgeist-2.0:amd64 (1.0.2-3) ...
A remover hamster-applet (3.0.2-3) ...
A remover icedtea-netx (1.8.4-1) ...
update-alternatives: a remover alternativa seleccionada manualmente - a passar j
avaws para modo automático
update-alternatives: a remover alternativa seleccionada manualmente - a passar i
tweb-settings para modo automático
update-alternatives: a remover alternativa seleccionada manualmente - a passar p
olicyeditor para modo automático
A remover libcommons-logging-java (1.2-2) ...
A remover libcommons-parent-java (43-1) ...
A remover libapache-pom-java (18-1) ...
A remover libboost-date-time1.62.0:amd64 (1.62.0+dfsg-4) ...
A remover libboost-date-time1.67.0:amd64 (1.67.0-17) ...
A remover libboost-filesystem1.62.0:amd64 (1.62.0+dfsg-4) ...
A remover libboost-filesystem1.67.0:amd64 (1.67.0-17) ...
A remover libboost-locale1.67.0:amd64 (1.67.0-17) ...
A remover libboost-thread1.62.0:amd64 (1.62.0+dfsg-4) ...
A remover libboost-system1.62.0:amd64 (1.62.0+dfsg-4) ...
A remover libboost-thread1.67.0:amd64 (1.67.0-17) ...
A remover libboost-system1.67.0:amd64 (1.67.0-17) ...
A remover libfile-homedir-perl (1.004-1) ...
A remover libfile-which-perl (1.23-1) ...
A remover libpdfbox-java (1:1.8.16-2) ...
A remover libfontbox-java (1:1.8.16-2) ...
A remover libgit2-24:amd64 (0.24.2-2) ...
A remover libgtkmm-2.4-1v5:amd64 (1:2.24.5-4) ...
A remover libhogweed5:i386 (3.5.1+really3.5.1-2) ...
A remover libhttp-parser2.1:amd64 (2.1-2) ...
A remover libopenexr22:amd64 (2.2.0-11) ...
A remover libilmbase12:amd64 (2.2.0-11) ...
A remover libmagickcore-6.q16-2:amd64 (8:6.9.6.6+dfsg-1) ...
A remover libunicode-linebreak-perl (0.0.20190101-1+b2) ...
A remover libmime-charset-perl (1.012.2-1) ...
A remover libmozjs-60-0:amd64 (60.8.0-2) ...
A remover python3.7 (3.7.7-1+b1) ...
A remover libpython3.7:amd64 (3.7.7-1+b1) ...
A remover libpython3.7-stdlib:amd64 (3.7.7-1+b1) ...
A remover python3.5 (3.5.2-9) ...
A remover libpython3.5-stdlib:amd64 (3.5.2-9) ...
A remover libmpdec2:amd64 (2.4.2-3) ...
A remover libnettle7:i386 (3.5.1+really3.5.1-2) ...
A remover libopenobex2 (1.7.2-1+b1) ...
A remover libpipewire-0.2-1:amd64 (0.2.7-1) ...
A remover libpoppler64:amd64 (0.48.0-2) ...
A remover libpoppler82:amd64 (0.71.0-6) ...
A remover libpotrace0:amd64 (1.16-2) ...
A remover libprotobuf10:amd64 (3.0.0-9) ...
A remover python3.5-minimal (3.5.2-9) ...
Unlinking and removing bytecode for runtime python3.5
A remover libpython3.5-minimal:amd64 (3.5.2-9) ...
A remover python3.7-minimal (3.7.7-1+b1) ...
Unlinking and removing bytecode for runtime python3.7
A remover libpython3.7-minimal:amd64 (3.7.7-1+b1) ...
A remover librhino-java (1.7.7.1-1) ...
A remover sgmlspl (1.03ii-36) ...
A remover libsgmls-perl (1.03ii-36) ...
A remover libsodium18:amd64 (1.0.11-1) ...
A remover libsombok3:amd64 (2.4.0-2+b1) ...
A remover libsynctex1:amd64 (2016.20160513.41080-8) ...
A remover libtagsoup-java (1.2.1+-1) ...
A remover libtexlua52:amd64 (2016.20160513.41080-8) ...
A remover libusbmuxd4:amd64 (1.0.10-3) ...
A remover libwacom-bin (1.1-2) ...
A remover libyaml-tiny-perl (1.73-1) ...
A remover lmodern (2.004.5-6) ...
A remover perl-modules-5.24 (5.24.1~rc4-1) ...
A remover preview-latex-style (12.2-1) ...
A remover ps2eps (1.68+binaryfree-2+b1) ...
A remover qtchooser (66-2) ...
A remover tk (8.6.9+1+b1) ...
A remover tcl (8.6.9+1+b1) ...
A remover tex-gyre (20180621-3) ...
A processar 'triggers' para desktop-file-utils (0.26-1) ...
A processar 'triggers' para mime-support (3.64) ...
A processar 'triggers' para hicolor-icon-theme (0.17-2) ...
A processar 'triggers' para gnome-menus (3.36.0-1) ...
A processar 'triggers' para libc-bin (2.31-3) ...
A processar 'triggers' para man-db (2.9.3-2) ...
A processar 'triggers' para tex-common (6.15) ...
A processar 'triggers' para ca-certificates (20190110) ...
Updating certificates in /etc/ssl/certs...
0 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d...

done.
Updating Mono key store
/etc/ca-certificates/update.d/mono-keystore: 10: /usr/bin/cert-sync: not found
Done
done.
A processar 'triggers' para fontconfig (2.13.1-4.2) ...
[email protected]:~$ sudo apt-get install -f
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 771 não atualizados.
[email protected]:~$ ls -la /var/cache/apt/archives/
total 116
drwxr-xr-x 3 root root 106496 out 2 14:20 .
drwxr-xr-x 3 root root 4096 out 2 14:25 ..
-rw-r----- 1 root root 0 out 2 14:20 lock
drwx------ 2 _apt root 4096 out 1 14:16 partial
[email protected]:~$ sudo rm /var/lib/apt/lists/lock
rm: não foi possível remover '/var/lib/apt/lists/lock': Arquivo ou diretório inexistente
[email protected]:~$ sudo rm /var/cache/apt/archives/lock
[email protected]:~$ sudo rm /var/lib/dpkg/lock
[email protected]:~$ sudo dpkg --configure -a
[email protected]:~$ sudo apt-get install -f
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 771 não atualizados.
[email protected]:~$


E se vc rodar o sudo apt-get update agora?



11. Re: Problemas de dependências quebradas e de atualização

Marcelo Oliver
msoliver

(usa Debian)

Enviado em 02/10/2020 - 15:56h

gambaroguilherme escreveu:

Olá a todos. Recentemente adquiri um Lenovo Ideapad S145 que veio com Linux Satux de fábrica. Sua configuração é Debian GNU/Linux bullseye/sid. Não consigo fazer downloads ou atualizar o sistema. Ao aplicar o comando ''sudo apt-get install -f '' a atualização é interrompida com a mensagem:
Erros foram encontrados durante o processamento de:
/tmp/apt-dpkg-install-dbOraQ/0-texlive-base_2020.20200804-3_all.deb
/tmp/apt-dpkg-install-dbOraQ/4-texlive-plain-generic_2020.20200804-3_all.deb
/tmp/apt-dpkg-install-dbOraQ/8-texlive-latex-extra_2020.20200804-3_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ao instalar programas utilizando o instalador de pacotes GDebi sou avisado de depedências quebradas.
Já testei os comandos "sudo apt-get clean && sudo apt-get update'' e "dpkg –configure -a" e não obtive êxito algum. O que devo fazer? Agradeço desde já a atenção.

Essa Distribuição está descontinuada.....
https://pt.wikipedia.org/wiki/Predefini%C3%A7%C3%A3o:Distro/Satux_Linux
https://distrowatch.com/table.php?distribution=satux
O termo "Debian GNU/Linux bullseye/sid", refere-se a próxima versão do Debian (instável)...
Poste a saida de:
cat /etc/os-release
E de:
find /etc/apt/ -iname "*.list" -exec sed -r '/^#|^$/d' {} \;|nl



______________________________________________________________________
Importante: echo -e "\n$(lynx --dump goo.gl/a9KeFc|sed -nr '/^[ ]+Se/,/dou.$/p')\n"
Att.: Marcelo Oliver
______________________________________________________________________


12. Re: Problemas de dependências no Linux Satux [RESOLVIDO]

Bilufe
bilufe

(usa XUbuntu)

Enviado em 02/10/2020 - 16:09h

Satux é um lixo que fizeram para atender um programa específico do governo, sabe aqueles programas que o governo inventa para estimular a venda de lixo para os mais pobres? Pois é...

O Satux, mesmo na época em que ainda estava disponível, era uma remasterização de uma versão antiga do Debian já naquela época, imagine agora. Não tem atualizações porque é um sistema muito antigo.

Considere verificar esse hardware aí, é bem provável que encontre uma placa de vídeo que não funciona direito nem no Windows.



01 02



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts